Page MenuHomePhabricator

list=logevents shows "User:#<blockid>" as a title for autoblock unblock entries
Closed, DeclinedPublic

Description

Author: nicdumz

Please see this unblock log entry for an example.

{
    "query": {
        "logevents": [
            {
                "logid": 20891507,
                "ns": 2,
                "title": "User:#1338201",
                "pageid": 0,
                "logpage": 0,
                "params": {},
                "type": "block",
                "action": "unblock",
                "user": "Mangojuice",
                "timestamp": "2009-03-04T00:35:07Z",
                "comment": "[[Wikipedia:Autoblock|Autoblock]] of [[User talk:<username>|<username>]]"
            }
        ]
    }
}

title="User:#1338201" gives the impression that it is a Mediawiki Page Title, but is in fact invalid...

In fact, the related sql entry in the logging table stores log_title as "#1338201"; I don't see why the title is prefixed by "User:"?! (Well, since log_ns is always equal to NS_USER for these entries, a Title object created from log_ns & log_title is likely to end up in User space, true...) Can this be avoided ?

Also, since title parameter (with or without User: prefix) should not be interpreted as a Page title, would it be possible to add a specific details field in the returned data to emphasize this?
autoblock="" ? flags="autoblock" ? (As of now, flags are unused for action="unblock")

Thanks!


Version: unspecified
Severity: enhancement

Details

Reference
bz17781

Event Timeline

bzimport raised the priority of this task from to Lowest.
bzimport set Reference to bz17781.
bzimport created this task.Mar 4 2009, 3:37 AM

It's prefixed with User: because that's how we store titles, as a namespace/title pair. The problem here is the general assumption by our logging infrastructure that every action is done "to" a title.

This could easily be fixed, but it would be a breaking change.

Bryan.TongMinh wrote:

(In reply to comment #1)

This could easily be fixed, but it would be a breaking change.

I recommend WONTFIX. While it certainly does not look nice, it does not wrong either.

This is how it's stored in the database; the fact that it uses NS_USER for these things is quirky, but not the API's fault. Also, it's not a big deal at all once you know about it.

jayvdb renamed this task from list=logevents shows "User:$blockid" as a title for autoblock unblock entries to list=logevents shows "User:#<blockid>" as a title for autoblock unblock entries.Aug 9 2015, 12:37 PM
jayvdb updated the task description. (Show Details)
jayvdb set Security to None.